Subject: Re: linux-next: manual merge of the akpm tree with the arm-soc tree

From: Andrew Morton <[email-masked]>
Date: Tue, 12 Mar 2013 13:20:07 -0700

On Tue, 12 Mar 2013 07:53:39 -0400 Jason Cooper <[email-masked]> wrote:

> On Tue, Mar 12, 2013 at 04:37:39AM -0700, Olof Johansson wrote:
> > On Tue, Mar 12, 2013 at 4:12 AM, Jason Cooper <[email-masked]> wrote:
> > > On Tue, Mar 12, 2013 at 07:25:09AM +0100, Andrew Lunn wrote:
> > >> On Tue, Mar 12, 2013 at 02:47:14PM +1100, Stephen Rothwell wrote:
> > >> > Hi Andrew,
> > >> >
> > >> > Today's linux-next merge of the akpm tree got a conflict in
> > >> > drivers/rtc/rtc-mv.c between commit 89c58c198b25 ("rtc: rtc-mv: Add
> > >> > support for clk to avoid lockups") from the arm-soc tree and commit "rtc:
> > >> > rtc-mv: use devm_rtc_device_register()" from the akpm tree.
> > >> >
> > >> > I fixed it up (I think - see below) and can carry the fix as necessary
> > >> > (no action is required).
> > >>
> > >> Hi Stephan
> > >>
> > >> Looks O.K. to me.
> > >>
> > >> Acked-by: Andrew Lunn <[email-masked]>
> > >
> > > Same here,
> > >
> > > Acked-by: Jason Cooper <[email-masked]>
> > 
> > We should make sure that future RTC changes get queued through AKPM
> > and not through us to avoid these kind of conflicts. Same as other
> > driver subsystems..
> 
> I agree, however, this patch is part of a four patch series fixing a
> single problem reported by Simon Baatz:
> 
>   89c58c1 rtc: rtc-mv: Add support for clk to avoid lockups
>   de88747 gpio: mvebu: Add clk support to prevent lockup
>   7bf5b40 ARM: kirkwood: fix to retain gbe MAC addresses for DT kernels
>   93fff4c ARM: kirkwood: of_serial: fix clock gating by removing clock-frequency

Yep, don't go out of your way to avoid the cross-tree conflicts - we
fix those up all the time.  It's best to keep a patch series like this
all in one place.